## jas 2.4

=== Makefile ===
#
# $Id: Makefile 3789 2011-10-01 18:54:43Z kredel $
#
# Makefile with default rules for the Java-Algebra-System
# by Heinz kredel
#
# created 2.6.2000 hk 
# modified 1.1.2003 hk 
# todo 

# set this to your jdk binaries path
#JDK=/usr/lib/jvm/java/bin
#JDK=/usr/java/jdk1.6.0_02/bin
#JDK=/usr/lib/jvm/java-1.5.0/bin
#JDK=/usr/java/jdk1.5.0_01/bin
#JDK=/usr/java/j2sdk1.4.1_01/bin
#JDK=/usr/java/j2sdk1.4.0_01/bin
#JDK=/opt/jdk1.4/bin
#JDK=/opt/jdk1.4.0b3/bin
#JDK=/usr/lib/jdk1.3/bin
#JDK=/opt/jdk1.2.2/bin
#JDK=/usr/lib/java/bin
JDK=/usr/java/latest/bin
#JDK=/usr/lib/jvm/java-1.5.0-sun-1.5.0/bin

#JASPATH=$(HOME)/jas
SVNREPO=/home/SUBVERSION
LIBPATH=$(HOME)/java/lib
JUNITPATH=$(LIBPATH)/junit.jar
LOG4JPATH=$(LIBPATH)/log4j.jar
#LOG4JPATH=$(LIBPATH)/mylog.jar
JOMPPATH=$(LIBPATH)/jomp1.0b.jar
TNJPATH=$(LIBPATH)/tnj.jar
LINTPATH=$(LIBPATH)/lint4j.jar
PYPATH=$(LIBPATH)/jython.jar

# --- syncing ----------
DRY=--dry-run
DELETE=
RSYNC=rsync -e ssh -avuz $(DRY) $(DELETE) --exclude=*~ --include=svn_change.log --include=jdepend-report.txt --exclude=*.log* --exclude=*.out* --exclude=*.txt* --exclude=.svn 
####--exclude=./test
####--exclude=*.ps --exclude=*.pdf --exclude=spin*
####--exclude=*/.jxta/
PART=jas.j16
VERSION=jas-2.4
BRANCH=2.3
SVNVERSION=`grep committed-rev .svn/entries |head -1|awk -F = '{ print $2 }'|sed 's/"//g'`

all:

home:
	$(RSYNC) krum:java/$(PART)/     .

heinz:
	$(RSYNC) ./                heinz@heinz2:$(PART)

krum:
	$(RSYNC) -e 'ssh -p 2222' ./                krum:java/$(PART)

pub:
	$(RSYNC) --exclude=*ufd* --exclude=DTD --exclude=lisa* --exclude=*xml ./ krum:htdocs/$(PART)

compute:
	$(RSYNC) ./                compute:java/$(VERSION)

# --- end syncing ----------


# no need to change below this line

# command line arguments
cl=

#.EXPORT_ALL_VARIABLES :

#DEFS=$(JASPATH)/arith:$(JASPATH)/poly:$(JASPATH)/ps:$(JASPATH)/vector:$(JASPATH)/gb:$(JASPATH)/ufd:$(JASPATH)/gbmod:$(JASPATH)/util:$(JASPATH)/application:$(JASPATH)/root
DOCCLASSES=$(JUNITPATH):$(LOG4JPATH):$(JOMPPATH)
#:$(TNJPATH)
DOCOPTS=-package
#DOCOPTS=-package -version -author
#DOCOPTS=-public -protected -package -author -version

#MYCLASSPATH = .:$(DEFS):$(JUNITPATH):$(JOMPPATH)
#MYCLASSPATH = $(LOG4JPATH):.:$(DEFS):$(JUNITPATH):$(JOMPPATH):$(PYPATH)
MYCLASSPATH = $(LOG4JPATH):.:$(JUNITPATH):$(JOMPPATH):$(PYPATH)
#:$(TNJPATH)

JAVA_MEM=-Xms1100M -Xmx1900M
#JAVA_MEM=-Xms350M -Xmx800M

JAVAC=$(JDK)/javac -classpath $(MYCLASSPATH) -d . -Xlint:unchecked
#-Xlint:unchecked
#-Djava.util.logging.config.file=logging.properties 
#JAVA=$(JDK)/java -classpath $(MYCLASSPATH) -verbose:gc 
JAVA=$(JDK)/java -classpath $(MYCLASSPATH) -server $(JAVA_MEM) -XX:+AggressiveHeap -XX:+UseParallelGC -XX:ParallelGCThreads=2 -verbose:gc 
#-Xrunhprof:cpu=samples,heap=sites,force=n
#-Xbatch
#JAVA=$(JDK)/java -classpath $(MYCLASSPATH) -verbose:gc -Xrunhprof:cpu=times,format=a
#JAVA=$(JDK)/java -classpath $(MYCLASSPATH) -verbose:gc -verbose:class -verbose:jni
DOC=$(JDK)/javadoc -classpath $(DOCCLASSES)

usage:
	echo; echo "usage: make <name> cl='cmd'"; echo


FIX       = fixm2j
GETC      = getc.pl
#JOPT      = -prof:gb.prof -tm
#-mx100000000


.SUFFIXES :
.SUFFIXES : .class .java 
.PRECIOUS : %.java %.class edu/jas/arith/%.class edu/jas/poly/%.class edu/jas/ps/%.class edu/jas/gb/%.class edu/jas/vector/%.class edu/jas/ufd/%.class edu/jas/gbmod/%.class edu/jas/structure/%.class edu/jas/util/%.class edu/jas/application/%.class edu/jas/kern/%.class edu/jas/root/%.class edu/jas/%.class

.PHONY    : clean doc

all:
	$(JAVAC) src/edu/jas/*/*.java src/edu/mas/*/*.java

%.class: %.java
	$(JAVAC) $<


edu/jas/%.class: src/edu/jas/%.java
	$(JAVAC) $<

edu/jas/arith/%.class: src/edu/jas/arith/%.java
	$(JAVAC) $<

edu/jas/poly/%.class: src/edu/jas/poly/%.java
	$(JAVAC) $<

edu/jas/ps/%.class: src/edu/jas/ps/%.java
	$(JAVAC) $<

edu/jas/gb/%.class: src/edu/jas/gb/%.java
	$(JAVAC) $<

edu/jas/ufd/%.class: src/edu/jas/ufd/%.java
	$(JAVAC) $<

edu/jas/vector/%.class: src/edu/jas/vector/%.java
	$(JAVAC) $<

edu/jas/gbmod/%.class: src/edu/jas/gbmod/%.java
	$(JAVAC) $<

edu/jas/gbufd/%.class: src/edu/jas/gbufd/%.java
	$(JAVAC) $<

edu/jas/structure/%.class: src/edu/jas/structure/%.java
	$(JAVAC) $<

edu/jas/util/%.class: src/edu/jas/util/%.java
	$(JAVAC) $<

edu/jas/application/%.class: src/edu/jas/application/%.java
	$(JAVAC) $<

edu/jas/root/%.class: src/edu/jas/root/%.java
	$(JAVAC) $<

edu/jas/kern/%.class: src/edu/jas/kern/%.java
	$(JAVAC) $<

edu/jas/integrate/%.class: src/edu/jas/integrate/%.java
	$(JAVAC) $<

edu/mas/kern/%.class: src/edu/mas/kern/%.java
	$(JAVAC) $<

edu.jas.%: edu/jas/%.class
	$(JAVA) $@ $(cl)

edu.jas.arith.%: edu/jas/arith/%.class
	$(JAVA) $@ $(cl)

edu.jas.poly.%: edu/jas/poly/%.class
	$(JAVA) $@ $(cl)

edu.jas.ps.%: edu/jas/ps/%.class
	$(JAVA) $@ $(cl)

edu.jas.gb.%: edu/jas/gb/%.class
	$(JAVA) $@ $(cl)

edu.jas.ufd.%: edu/jas/ufd/%.class
	$(JAVA) $@ $(cl)

edu.jas.gbufd.%: edu/jas/gbufd/%.class
	$(JAVA) $@ $(cl)

edu.jas.vector.%: edu/jas/vector/%.class
	$(JAVA) $@ $(cl)

edu.jas.gbmod.%: edu/jas/gbmod/%.class
	$(JAVA) $@ $(cl)

edu.jas.structure.%: edu/jas/structure/%.class
	$(JAVA) $@ $(cl)

edu.jas.util.%: edu/jas/util/%.class
	$(JAVA) $@ $(cl)

edu.jas.application.%: edu/jas/application/%.class
	$(JAVA) $@ $(cl)

edu.jas.root.%: edu/jas/root/%.class
	$(JAVA) $@ $(cl)

edu.jas.kern.%: edu/jas/kern/%.class
	$(JAVA) $@ $(cl)

edu.jas.integrate.%: edu/jas/integrate/%.class
	$(JAVA) $@ $(cl)

edu.mas.kern.%: edu/mas/kern/%.class
	$(JAVA) $@ $(cl)


FILES=$(wildcard src/edu/jas/structure/*.java src/edu/jas/arith/*.java src/edu/jas/poly/*.java src/edu/jas/ps/*.java src/edu/jas/gb/*.java src/edu/jas/application/*.java src/edu/jas/vector/*.java src/edu/jas/gbmod/*.java src/edu/jas/util/*.java src/edu/jas/ufd/*.java src/edu/jas/kern/*.java src/edu/jas/root/*.java src/edu/jas/integrate/*.java)

LIBS=$(JUNITPATH) $(LOG4JPATH) $(JOMPPATH) $(TNJPATH)

CLASSES=edu/jas/structure/ edu/jas/arith/ edu/jas/poly/ edu/jas/ps/ edu/jas/gb/ edu/jas/application/ edu/jas/vector/ edu/jas/gbmod/ edu/jas/util/ edu/jas/ufd/ edu/jas/kern/ edu/jas/root/ edu/jas/integrate/

PYS=$(wildcard *.py)
EXAMPY=$(wildcard examples/*.py)

DOCU=$(wildcard jas-log.html index.html problems.html design.html COPYING* sample.jythonrc overview.html)
# */package.html 

doc: $(FILES)
	$(DOC) $(DOCOPTS) -d doc/api $(FILES) 

epydoc: examples/jas.py
	epydoc -o doc/jython -n "Python to JAS" -u ../../index.html examples/jas.py

rdoc: examples/jas.rb
	jrdoc -o doc/jruby -U -S -N -t "Ruby to JAS" examples/jas.rb

texdoc: $(FILES)
	mkdir -p doc/tex
	rm -f doc/tex/*
	$(DOC) $(DOCOPTS) -doclet TexGen -docletpath ~/java/lib/texgen.jar -dest doc/tex $(FILES) 
	ls doc/tex/* | grep -v Test | grep -v allclasses | xargs cat > doc/tex/allclasses.tex
	sed -i -f doc/totex.sed doc/tex/allclasses.tex
	cd doc; pdflatex jas_texgen.tex

ALLJAR=$(FILES) $(DOCU) Makefile build.xml log4j.properties $(PYS)

jas-all.jar: $(ALLJAR)
	$(JDK)/jar -cvf jas.jar $(ALLJAR) edu/ 
	mv jas.jar /tmp/jas-`date +%Y%j`.jar

jas.tgz: $(FILES) *.html TODO
	tar -cvzf jas.tgz $(FILES) *.html TODO
	cp jas.tgz /tmp/jas-`date +%Y%j`.tgz

#	cp jas.jar ...../jas-`date +%Y%j`.jar
#jas-run.jar: GBManifest.MF $(TOJAR)
#	$(JDK)/jar -cvfm jas-run.jar GBManifest.MF $(TOJAR)


TOJAR=$(FILES) $(CLASSES) Makefile build.xml log4j.properties $(EXAMPY) examples/machines.test $(wildcard COPYING*)

jas.jar: $(FILES) Makefile build.xml log4j.properties $(EXAMPY)
	$(JDK)/jar -cf jas.jar $(TOJAR)
#	$(JDK)/jar -cf jas.jar $(filter-out %/ufd/, $(filter-out src/edu/jas/ufd/%.java, $(TOJAR)))

jas-doc.jar: $(DOCU) doc/
	$(JDK)/jar -cvf jas-doc.jar $(DOCU) doc/


dist: jas.jar jas-run.jar jas-doc.jar $(LIBS)
	tar -cvzf jas-dist.tgz jas.jar jas-run.jar jas-doc.jar $(LIBS)

#

jars: jas-run.jar jas-doc.jar
#jars: jas.jar jas-run.jar jas-doc.jar


lint:
	$(JDK)/java -jar $(LINTPATH) -v 3 -classpath $(DOCCLASSES):jas.jar -sourcepath src edu.jas.*
#	$(JDK)/java -jar $(LINTPATH) -v 5 -exact -classpath $(DOCCLASSES) -sourcepath src edu.jas.*


clean:
	find . -name "*~" -follow -print -exec rm {} \;
	#rm -f application/application arith/arith kern/kern gbmod/gbmod poly/poly ps/ps gb/gb structure/structure ufd/ufd util/util vector/vector


SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms1100M -J-Xmx1900M"
#SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms350M -J-Xmx800M"

tests:
	ant test 2>&1 | tee t.out
	ant exam 2>&1 | tee e.out
	find examples -name "*.py"|grep -v jas.py |grep -v plot|grep -v versuch|sort|xargs -L 1 echo "time jython $(SOPTS)" | awk '{ printf "echo %s\n", $$0; printf "%s\n", $$0 }' > ./all_jython.sh
	time bash all_jython.sh 2>&1 | tee tjy.out
	find examples -name "*.rb"|grep -v jas.rb |grep -v versuch|sort|xargs -L 1 echo "time jruby $(SOPTS)" | awk '{ printf "echo %s\n", $$0; printf "%s\n", $$0 }' > ./all_jruby.sh
	time bash all_jruby.sh 2>&1 | tee tjr.out
	make edu.jas.application.RunGB cl="seq  examples/trinks6.jas"   | tee tr.out
	make edu.jas.application.RunGB cl="seq+ examples/trinks6.jas"   | tee -a tr.out
	make edu.jas.application.RunGB cl="par  examples/trinks6.jas 4" | tee -a tr.out
	make edu.jas.application.RunGB cl="par+ examples/trinks6.jas 4" | tee -a tr.out
	-grep FAIL t.out
	-grep Exception e.out | grep -v GCDProxy
	-grep File tjy.out
	-grep -i error tjr.out
	-grep Exception tr.out || grep Usage tr.out

metrics:
	ant jdepend
	../java/javancss-32.53/bin/javancss -all -recursive -out test/javanccs-`date +%Y-%m-%d`.out src

#svn copy file:///$(SVNREPO)/jas/trunk file:///$(SVNREPO)/jas/tags/$(VERSION)

SVNREV=svnlook youngest $(SVNREPO)/jas
SVNDATE=svnlook date $(SVNREPO)/jas
# Jan 2008 SVNSRT=1584 
# Jun 2008 SVNSRT=1882
# Sep 2008 SVNSRT=2118r
# jan 2009 SVNSRT=2288
# jun 2009 SVNSRT=2668
# jan 2010 SVNSRT=2978
# jun 2010 SVNSRT=3188
# jan 2011
SVNSRT=3458

export:
	rm -rf ~/jas-versions/$(VERSION)
	svn export --quiet file:///$(SVNREPO)/jas/trunk ~/jas-versions/$(VERSION)
	cd ~/jas-versions/$(VERSION); jas_dosed $(VERSION) `$(SVNREV)` download.html
#	svn log -v -r HEAD:BASE src > ~/jas-versions/$(VERSION)/svn_change.log
	svn log -v -r HEAD:$(SVNSRT) file:///$(SVNREPO)/jas/trunk src examples > ~/jas-versions/$(VERSION)/svn_change.log
	cd ~/jas-versions/; jar -cf $(VERSION).`$(SVNREV)`-src.jar $(VERSION)/
	cd ~/jas-versions/$(VERSION)/; ant compile > ant_compile.out
	cd ~/jas-versions/$(VERSION)/; jar -cfm ../$(VERSION).`$(SVNREV)`-bin.jar GBManifest.MF edu/ COPYING* log4j.properties
	cd ~/jas-versions/$(VERSION)/; jar -uf ../$(VERSION).`$(SVNREV)`-bin.jar -C ~/jas-versions/$(VERSION)/examples jas.rb -C ~/jas-versions/$(VERSION)/examples jas.py
	cd ~/jas-versions/$(VERSION)/; ant doc > ant_doc.out
	cd ~/jas-versions/$(VERSION)/; epydoc -o doc/jython -n "Python to JAS" -u ../../index.html examples/jas.py > epydoc.out
	cd ~/jas-versions/$(VERSION)/; jrdoc -o doc/jruby -U -S -N -t "Ruby to JAS" examples/jas.rb > rdoc.out 2>&1
	cd ~/jas-versions/$(VERSION)/; jar -cf ../$(VERSION).`$(SVNREV)`-doc.jar doc/ *.html
	cd ~/jas-versions/$(VERSION)/; ant test > ant_test.out
	cd ~/jas-versions/$(VERSION)/; sh ./jython_tests.sh >jython_tests.out 2>&1
	cd ~/jas-versions/$(VERSION)/; sh ./jruby_tests.sh >jruby_tests.out 2>&1
	cp ~/jas-versions/$(VERSION).`$(SVNREV)`-bin.jar $(LIBPATH)/jas.jar
	cp ~/jas-versions/$(VERSION).`$(SVNREV)`-bin.jar ~/jas-versions/$(VERSION)/jas.jar
	mv ~/jas-versions/$(VERSION).`$(SVNREV)`-*.jar ~/jas-versions/$(VERSION)/
	cd ~/jas-versions/$(VERSION)/meditor; jas_dosed $(VERSION) `$(SVNREV)` manifest.mf
	cd ~/jas-versions/$(VERSION)/meditor; make > ~/jas-versions/$(VERSION)/make_meditor.out
	cd ~/jas-versions/log4j_adapter; make > ~/jas-versions/$(VERSION)/make_mylog.out
	cp ~/java/lib/mylog.jar ~/jas-versions/$(VERSION)/
	cd ~/jas-versions/jlinalg_adapter; make > ~/jas-versions/$(VERSION)/make_jlinalg.out
	cp ~/java/lib/jlinalg_adapter.jar ~/jas-versions/$(VERSION)/
	cd ~/jas-versions/commons-math_adapter; make > ~/jas-versions/$(VERSION)/make_commons-math.out

=== debian/changelog ===
jas (2.4-1) unstable; urgency=low

  * Initial release (closes: #649246).

 -- Giovanni Mascellani <gio@debian.org>  Sat, 19 Nov 2011 00:18:25 +0100

=== debian/control ===
Source: jas
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 8.0.0), default-jdk, javahelper, liblog4j1.2-java
Standards-Version: 3.9.2
Homepage: http://krum.rz.uni-mannheim.de/jas/
#Vcs-Git: git://git.debian.org/collab-maint/jas.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/jas.git;a=summary

Package: libjas-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Description: Java object-oriented type-safe Algebra System
 Java Algebra System (JAS) is an object-oriented, type-safe and
 multi-threaded library using generic types for algebraic
 computations. It mainly focuses on commutative algebra, solvable
 polynomials, Groebner bases, factorization, power series and real
 roots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/log4j-1.2.jar
export JH_JAR_EXTRA=log4j.properties

%:
	dh $@ --with javahelper

# The Makefile won't work
override_dh_auto_build:
	true

=== debian/watch ===
version=3
http://krum.rz.uni-mannheim.de/jas/download.html \
 jas-([0-9\.]+)\.[0-9]+-src.jar

## jas 2.4.3938

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 3789 2011-10-01 18:54:43Z kredel $
+# $Id: Makefile 3875 2012-02-04 18:47:16Z kredel $
 #
 # Makefile with default rules for the Java-Algebra-System
 # by Heinz kredel
@@ -43,7 +43,7 @@
 ####--exclude=*/.jxta/
 PART=jas.j16
 VERSION=jas-2.4
-BRANCH=2.3
+#BRANCH=2.3
 SVNVERSION=`grep committed-rev .svn/entries |head -1|awk -F = '{ print $2 }'|sed 's/"//g'`
 
 all:
@@ -85,8 +85,12 @@
 MYCLASSPATH = $(LOG4JPATH):.:$(JUNITPATH):$(JOMPPATH):$(PYPATH)
 #:$(TNJPATH)
 
-JAVA_MEM=-Xms1100M -Xmx1900M
-#JAVA_MEM=-Xms350M -Xmx800M
+#JAVA_MEM=-Xms1100M -Xmx1900M
+JAVA_MEM=-Xms350M -Xmx800M
+
+#SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms1100M -J-Xmx1900M"
+SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms350M -J-Xmx800M"
+
 
 JAVAC=$(JDK)/javac -classpath $(MYCLASSPATH) -d . -Xlint:unchecked
 #-Xlint:unchecked
@@ -116,60 +120,120 @@
 .PHONY    : clean doc
 
 all:
-	$(JAVAC) src/edu/jas/*/*.java src/edu/mas/*/*.java
+	$(JAVAC) src/edu/jas/*/*.java src/edu/mas/*/*.java trc/edu/jas/*/*.java trc/edu/mas/*/*.java
 
 %.class: %.java
 	$(JAVAC) $<
 
-
 edu/jas/%.class: src/edu/jas/%.java
 	$(JAVAC) $<
 
+
+edu/jas/arith/%Test.class: trc/edu/jas/arith/%Test.java
+	$(JAVAC) $<
+
 edu/jas/arith/%.class: src/edu/jas/arith/%.java
 	$(JAVAC) $<
 
+
+edu/jas/poly/%Test.class: trc/edu/jas/poly/%Test.java
+	$(JAVAC) $<
+
 edu/jas/poly/%.class: src/edu/jas/poly/%.java
 	$(JAVAC) $<
 
+
+edu/jas/ps/%Test.class: trc/edu/jas/ps/%Test.java
+	$(JAVAC) $<
+
 edu/jas/ps/%.class: src/edu/jas/ps/%.java
 	$(JAVAC) $<
 
+
+edu/jas/gb/%Test.class: trc/edu/jas/gb/%Test.java
+	$(JAVAC) $<
+
 edu/jas/gb/%.class: src/edu/jas/gb/%.java
 	$(JAVAC) $<
 
-edu/jas/ufd/%.class: src/edu/jas/ufd/%.java
+
+edu/jas/ufd/%Test.class: trc/edu/jas/ufd/%Test.java 
+	$(JAVAC) $<
+
+edu/jas/ufd/%.class: src/edu/jas/ufd/%.java 
+	$(JAVAC) $<
+
+
+edu/jas/vector/%Test.class: trc/edu/jas/vector/%Test.java
 	$(JAVAC) $<
 
 edu/jas/vector/%.class: src/edu/jas/vector/%.java
 	$(JAVAC) $<
 
+
+edu/jas/gbmod/%Test.class: trc/edu/jas/gbmod/%Test.java
+	$(JAVAC) $<
+
 edu/jas/gbmod/%.class: src/edu/jas/gbmod/%.java
 	$(JAVAC) $<
 
+
+edu/jas/gbufd/%Test.class: trc/edu/jas/gbufd/%Test.java
+	$(JAVAC) $<
+
 edu/jas/gbufd/%.class: src/edu/jas/gbufd/%.java
 	$(JAVAC) $<
 
+
+edu/jas/structure/%Test.class: trc/edu/jas/structure/%Test.java
+	$(JAVAC) $<
+
 edu/jas/structure/%.class: src/edu/jas/structure/%.java
 	$(JAVAC) $<
 
+
+edu/jas/util/%Test.class: trc/edu/jas/util/%Test.java
+	$(JAVAC) $<
+
 edu/jas/util/%.class: src/edu/jas/util/%.java
 	$(JAVAC) $<
 
+
+edu/jas/application/%Test.class: trc/edu/jas/application/%Test.java
+	$(JAVAC) $<
+
 edu/jas/application/%.class: src/edu/jas/application/%.java
 	$(JAVAC) $<
 
+
+edu/jas/root/%Test.class: trc/edu/jas/root/%Test.java
+	$(JAVAC) $<
+
 edu/jas/root/%.class: src/edu/jas/root/%.java
 	$(JAVAC) $<
 
+
+edu/jas/kern/%Test.class: trc/edu/jas/kern/%Test.java
+	$(JAVAC) $<
+
 edu/jas/kern/%.class: src/edu/jas/kern/%.java
 	$(JAVAC) $<
 
+
+edu/jas/integrate/%Test.class: trc/edu/jas/integrate/%Test.java
+	$(JAVAC) $<
+
 edu/jas/integrate/%.class: src/edu/jas/integrate/%.java
 	$(JAVAC) $<
 
+
+edu/mas/kern/%Test.class: trc/edu/mas/kern/%Test.java
+	$(JAVAC) $<
+
 edu/mas/kern/%.class: src/edu/mas/kern/%.java
 	$(JAVAC) $<
 
+
 edu.jas.%: edu/jas/%.class
 	$(JAVA) $@ $(cl)
 
@@ -220,6 +284,8 @@
 
 
 FILES=$(wildcard src/edu/jas/structure/*.java src/edu/jas/arith/*.java src/edu/jas/poly/*.java src/edu/jas/ps/*.java src/edu/jas/gb/*.java src/edu/jas/application/*.java src/edu/jas/vector/*.java src/edu/jas/gbmod/*.java src/edu/jas/util/*.java src/edu/jas/ufd/*.java src/edu/jas/kern/*.java src/edu/jas/root/*.java src/edu/jas/integrate/*.java)
+
+TESTFILES=$(wildcard trc/edu/jas/structure/*.java trc/edu/jas/arith/*.java trc/edu/jas/poly/*.java trc/edu/jas/ps/*.java trc/edu/jas/gb/*.java trc/edu/jas/application/*.java trc/edu/jas/vector/*.java trc/edu/jas/gbmod/*.java trc/edu/jas/util/*.java trc/edu/jas/ufd/*.java trc/edu/jas/kern/*.java trc/edu/jas/root/*.java trc/edu/jas/integrate/*.java)
 
 LIBS=$(JUNITPATH) $(LOG4JPATH) $(JOMPPATH) $(TNJPATH)
 
@@ -231,8 +297,8 @@
 DOCU=$(wildcard jas-log.html index.html problems.html design.html COPYING* sample.jythonrc overview.html)
 # */package.html 
 
-doc: $(FILES)
-	$(DOC) $(DOCOPTS) -d doc/api $(FILES) 
+doc: $(FILES) $(TESTFILES)
+	$(DOC) $(DOCOPTS) -d doc/api $(FILES) $(TESTFILES)
 
 epydoc: examples/jas.py
 	epydoc -o doc/jython -n "Python to JAS" -u ../../index.html examples/jas.py
@@ -240,22 +306,22 @@
 rdoc: examples/jas.rb
 	jrdoc -o doc/jruby -U -S -N -t "Ruby to JAS" examples/jas.rb
 
-texdoc: $(FILES)
+texdoc: $(FILES) $(TESTFILES)
 	mkdir -p doc/tex
 	rm -f doc/tex/*
-	$(DOC) $(DOCOPTS) -doclet TexGen -docletpath ~/java/lib/texgen.jar -dest doc/tex $(FILES) 
+	$(DOC) $(DOCOPTS) -doclet TexGen -docletpath ~/java/lib/texgen.jar -dest doc/tex $(FILES) $(TESTFILES) 
 	ls doc/tex/* | grep -v Test | grep -v allclasses | xargs cat > doc/tex/allclasses.tex
 	sed -i -f doc/totex.sed doc/tex/allclasses.tex
 	cd doc; pdflatex jas_texgen.tex
 
-ALLJAR=$(FILES) $(DOCU) Makefile build.xml log4j.properties $(PYS)
+ALLJAR=$(FILES) $(TESTFILES) $(DOCU) Makefile build.xml log4j.properties $(PYS)
 
 jas-all.jar: $(ALLJAR)
 	$(JDK)/jar -cvf jas.jar $(ALLJAR) edu/ 
 	mv jas.jar /tmp/jas-`date +%Y%j`.jar
 
-jas.tgz: $(FILES) *.html TODO
-	tar -cvzf jas.tgz $(FILES) *.html TODO
+jas.tgz: $(FILES) $(TESTFILES) *.html TODO
+	tar -cvzf jas.tgz $(FILES) $(TESTFILES) *.html TODO
 	cp jas.tgz /tmp/jas-`date +%Y%j`.tgz
 
 #	cp jas.jar ...../jas-`date +%Y%j`.jar
@@ -263,9 +329,9 @@
 #	$(JDK)/jar -cvfm jas-run.jar GBManifest.MF $(TOJAR)
 
 
-TOJAR=$(FILES) $(CLASSES) Makefile build.xml log4j.properties $(EXAMPY) examples/machines.test $(wildcard COPYING*)
-
-jas.jar: $(FILES) Makefile build.xml log4j.properties $(EXAMPY)
+TOJAR=$(FILES) $(TESTFILES) $(CLASSES) Makefile build.xml log4j.properties $(EXAMPY) examples/machines.test $(wildcard COPYING*)
+
+jas.jar: $(FILES) $(TESTFILES) Makefile build.xml log4j.properties $(EXAMPY)
 	$(JDK)/jar -cf jas.jar $(TOJAR)
 #	$(JDK)/jar -cf jas.jar $(filter-out %/ufd/, $(filter-out src/edu/jas/ufd/%.java, $(TOJAR)))
 
@@ -291,9 +357,6 @@
 	find . -name "*~" -follow -print -exec rm {} \;
 	#rm -f application/application arith/arith kern/kern gbmod/gbmod poly/poly ps/ps gb/gb structure/structure ufd/ufd util/util vector/vector
 
-
-SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms1100M -J-Xmx1900M"
-#SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms350M -J-Xmx800M"
 
 tests:
 	ant test 2>&1 | tee t.out
@@ -310,7 +373,7 @@
 	-grep Exception e.out | grep -v GCDProxy
 	-grep File tjy.out
 	-grep -i error tjr.out
-	-grep Exception tr.out || grep Usage tr.out
+	-grep Exception tr.out | grep Usage tr.out
 
 metrics:
 	ant jdepend
@@ -334,26 +397,7 @@
 	rm -rf ~/jas-versions/$(VERSION)
 	svn export --quiet file:///$(SVNREPO)/jas/trunk ~/jas-versions/$(VERSION)
 	cd ~/jas-versions/$(VERSION); jas_dosed $(VERSION) `$(SVNREV)` download.html
-#	svn log -v -r HEAD:BASE src > ~/jas-versions/$(VERSION)/svn_change.log
-	svn log -v -r HEAD:$(SVNSRT) file:///$(SVNREPO)/jas/trunk src examples > ~/jas-versions/$(VERSION)/svn_change.log
-	cd ~/jas-versions/; jar -cf $(VERSION).`$(SVNREV)`-src.jar $(VERSION)/
+	svn log -v -r HEAD:$(SVNSRT) file:///$(SVNREPO)/jas/trunk src trc examples > ~/jas-versions/$(VERSION)/svn_change.log
+	cd ~/jas-versions/; jar -cfM $(VERSION).`$(SVNREV)`-src.zip $(VERSION)/
 	cd ~/jas-versions/$(VERSION)/; ant compile > ant_compile.out
 	cd ~/jas-versions/$(VERSION)/; jar -cfm ../$(VERSION).`$(SVNREV)`-bin.jar GBManifest.MF edu/ COPYING* log4j.properties
-	cd ~/jas-versions/$(VERSION)/; jar -uf ../$(VERSION).`$(SVNREV)`-bin.jar -C ~/jas-versions/$(VERSION)/examples jas.rb -C ~/jas-versions/$(VERSION)/examples jas.py
-	cd ~/jas-versions/$(VERSION)/; ant doc > ant_doc.out
-	cd ~/jas-versions/$(VERSION)/; epydoc -o doc/jython -n "Python to JAS" -u ../../index.html examples/jas.py > epydoc.out
-	cd ~/jas-versions/$(VERSION)/; jrdoc -o doc/jruby -U -S -N -t "Ruby to JAS" examples/jas.rb > rdoc.out 2>&1
-	cd ~/jas-versions/$(VERSION)/; jar -cf ../$(VERSION).`$(SVNREV)`-doc.jar doc/ *.html
-	cd ~/jas-versions/$(VERSION)/; ant test > ant_test.out
-	cd ~/jas-versions/$(VERSION)/; sh ./jython_tests.sh >jython_tests.out 2>&1
-	cd ~/jas-versions/$(VERSION)/; sh ./jruby_tests.sh >jruby_tests.out 2>&1
-	cp ~/jas-versions/$(VERSION).`$(SVNREV)`-bin.jar $(LIBPATH)/jas.jar
-	cp ~/jas-versions/$(VERSION).`$(SVNREV)`-bin.jar ~/jas-versions/$(VERSION)/jas.jar
-	mv ~/jas-versions/$(VERSION).`$(SVNREV)`-*.jar ~/jas-versions/$(VERSION)/
-	cd ~/jas-versions/$(VERSION)/meditor; jas_dosed $(VERSION) `$(SVNREV)` manifest.mf
-	cd ~/jas-versions/$(VERSION)/meditor; make > ~/jas-versions/$(VERSION)/make_meditor.out
-	cd ~/jas-versions/log4j_adapter; make > ~/jas-versions/$(VERSION)/make_mylog.out
-	cp ~/java/lib/mylog.jar ~/jas-versions/$(VERSION)/
-	cd ~/jas-versions/jlinalg_adapter; make > ~/jas-versions/$(VERSION)/make_jlinalg.out
-	cp ~/java/lib/jlinalg_adapter.jar ~/jas-versions/$(VERSION)/
-	cd ~/jas-versions/commons-math_adapter; make > ~/jas-versions/$(VERSION)/make_commons-math.out

=== jython/Makefile ===
#
# $Id: Makefile 3769 2011-09-18 12:49:21Z kredel $
#
# Makefile for the interface of JAS to jython
# by Raphael Jolly, Heinz kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib

JYTHONPATH=$(LIBPATH)/jython.jar
JRUBYPATH=$(LIBPATH)/jruby.jar:$(HOME)/java/jruby-1.5.6/lib/ruby/1.8

CLASSPATH=$(LIBPATH)/log4j.jar:$(LIBPATH)/jas.jar

.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/kern/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

all: clean jas-jython.jar

$(CLASSES): $(FILES)
	mkdir classes
	javac -g -source 1.6 -target 1.6 -classpath $(JYTHONPATH) -sourcepath src -d classes src/edu/jas/kern/*.java

jas-jython.jar: $(CLASSES) $(JASPATH)/examples/jas.py services/javax.script.ScriptEngineFactory
	mkdir classes/META-INF
	mkdir classes/META-INF/services
	cp -a manifest.mf classes/META-INF/MANIFEST.MF
	#cp -a services/javax.script.ScriptEngineFactory classes/META-INF/services/
	cp -a $(JASPATH)/examples/jas.py $(JASPATH)/examples/jas.pyc $(JASPATH)/examples/*.class classes
	cp -a $(JASPATH)/examples/jas.rb classes
	cp -a $(JASPATH)/log4j.properties classes
	jar cfM jas-jython.jar -C classes .
	cp -f jas-jython.jar $(LIBPATH)
	cp -f jas-jython.jar ..

clean:
	rm -rf classes

tests:
	java -cp $(JYTHONPATH):$(JRUBYPATH):$(CLASSPATH):jas-jython.jar edu.jas.kern.ScriptingExample

=== meditor/Makefile ===
#
# $Id: Makefile 2103 2008-09-06 09:18:29Z kredel $
#
# Makefile for the interface of JAS to meditor
# by Raphael Jolly, Heinz kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib
MEDITORPATH=$(HOME)/java/meditor3.0

CLASSPATH=$(LIBPATH)/jython.jar:$(MEDITORPATH)/meditor.jar

.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/editorengine/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

all: jas-meditor.jar

$(CLASSES): $(FILES)
	mkdir classes
	javac -g -source 1.4 -target 1.4 -classpath $(CLASSPATH) -sourcepath src -d classes src/edu/jas/editorengine/*.java

jas-meditor.jar: $(CLASSES) $(JASPATH)/examples/jas.py manifest.mf services/jscl.editor.EngineFactory
	mkdir classes/META-INF
	mkdir classes/META-INF/services
	cp -a manifest.mf classes/META-INF/MANIFEST.MF
	cp -a services/jscl.editor.EngineFactory classes/META-INF/services/
	jar cfM jas-meditor.jar -C classes .
	jar uf jas-meditor.jar -C $(JASPATH)/examples jas.py
	cp -f jas-meditor.jar $(LIBPATH)
	cp -f jas-meditor.jar ..
	rm -rf classes

clean:
	rm -rf classes

=== debian/changelog ===
jas (2.4.3938-2) unstable; urgency=low

  * Team upload.
  * Bump dependency on javahelper to fix FTBFS with Java7.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 19:07:50 +0200

jas (2.4.3938-1) unstable; urgency=low

  * New upstream release.
  * Update some details in debian/copyright.
  * Add doc-base registration.
  * Bump Standards-Version to 3.9.3 (no changes needed).

 -- Giovanni Mascellani <gio@debian.org>  Wed, 09 May 2012 10:54:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: extra
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Giovanni Mascellani <gio@debian.org>
-Build-Depends: debhelper (>= 8.0.0), default-jdk, javahelper, liblog4j1.2-java
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.0.0), default-jdk, javahelper (>= 0.43), liblog4j1.2-java,
+ junit4
+Standards-Version: 3.9.3
 Homepage: http://krum.rz.uni-mannheim.de/jas/
-#Vcs-Git: git://git.debian.org/collab-maint/jas.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/jas.git;a=summary
+Vcs-Git: git://git.debian.org/pkg-java/jas.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/jas.git;a=summary
 
 Package: libjas-java
 Architecture: all

## jas 2.5.4408

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 3875 2012-02-04 18:47:16Z kredel $
+# $Id: Makefile 4319 2012-12-16 11:59:20Z kredel $
 #
 # Makefile with default rules for the Java-Algebra-System
 # by Heinz kredel
@@ -11,14 +11,6 @@
 # set this to your jdk binaries path
 #JDK=/usr/lib/jvm/java/bin
 #JDK=/usr/java/jdk1.6.0_02/bin
-#JDK=/usr/lib/jvm/java-1.5.0/bin
-#JDK=/usr/java/jdk1.5.0_01/bin
-#JDK=/usr/java/j2sdk1.4.1_01/bin
-#JDK=/usr/java/j2sdk1.4.0_01/bin
-#JDK=/opt/jdk1.4/bin
-#JDK=/opt/jdk1.4.0b3/bin
-#JDK=/usr/lib/jdk1.3/bin
-#JDK=/opt/jdk1.2.2/bin
 #JDK=/usr/lib/java/bin
 JDK=/usr/java/latest/bin
 #JDK=/usr/lib/jvm/java-1.5.0-sun-1.5.0/bin
@@ -76,9 +68,9 @@
 #DEFS=$(JASPATH)/arith:$(JASPATH)/poly:$(JASPATH)/ps:$(JASPATH)/vector:$(JASPATH)/gb:$(JASPATH)/ufd:$(JASPATH)/gbmod:$(JASPATH)/util:$(JASPATH)/application:$(JASPATH)/root
 DOCCLASSES=$(JUNITPATH):$(LOG4JPATH):$(JOMPPATH)
 #:$(TNJPATH)
-DOCOPTS=-package
+#DOCOPTS=-package
 #DOCOPTS=-package -version -author
-#DOCOPTS=-public -protected -package -author -version
+DOCOPTS=-public -protected -package -author -version
 
 #MYCLASSPATH = .:$(DEFS):$(JUNITPATH):$(JOMPPATH)
 #MYCLASSPATH = $(LOG4JPATH):.:$(DEFS):$(JUNITPATH):$(JOMPPATH):$(PYPATH)
@@ -283,13 +275,13 @@
 	$(JAVA) $@ $(cl)
 
 
-FILES=$(wildcard src/edu/jas/structure/*.java src/edu/jas/arith/*.java src/edu/jas/poly/*.java src/edu/jas/ps/*.java src/edu/jas/gb/*.java src/edu/jas/application/*.java src/edu/jas/vector/*.java src/edu/jas/gbmod/*.java src/edu/jas/util/*.java src/edu/jas/ufd/*.java src/edu/jas/kern/*.java src/edu/jas/root/*.java src/edu/jas/integrate/*.java)
-
-TESTFILES=$(wildcard trc/edu/jas/structure/*.java trc/edu/jas/arith/*.java trc/edu/jas/poly/*.java trc/edu/jas/ps/*.java trc/edu/jas/gb/*.java trc/edu/jas/application/*.java trc/edu/jas/vector/*.java trc/edu/jas/gbmod/*.java trc/edu/jas/util/*.java trc/edu/jas/ufd/*.java trc/edu/jas/kern/*.java trc/edu/jas/root/*.java trc/edu/jas/integrate/*.java)
+FILES=$(wildcard src/edu/jas/structure/*.java src/edu/jas/arith/*.java src/edu/jas/poly/*.java src/edu/jas/ps/*.java src/edu/jas/gb/*.java src/edu/jas/application/*.java src/edu/jas/vector/*.java src/edu/jas/gbmod/*.java src/edu/jas/gbufd/*.java src/edu/jas/util/*.java src/edu/jas/ufd/*.java src/edu/jas/kern/*.java src/edu/jas/root/*.java src/edu/jas/integrate/*.java)
+
+TESTFILES=$(wildcard trc/edu/jas/structure/*.java trc/edu/jas/arith/*.java trc/edu/jas/poly/*.java trc/edu/jas/ps/*.java trc/edu/jas/gb/*.java trc/edu/jas/application/*.java trc/edu/jas/vector/*.java trc/edu/jas/gbmod/*.java trc/edu/jas/gbufd/*.java trc/edu/jas/util/*.java trc/edu/jas/ufd/*.java trc/edu/jas/kern/*.java trc/edu/jas/root/*.java trc/edu/jas/integrate/*.java)
 
 LIBS=$(JUNITPATH) $(LOG4JPATH) $(JOMPPATH) $(TNJPATH)
 
-CLASSES=edu/jas/structure/ edu/jas/arith/ edu/jas/poly/ edu/jas/ps/ edu/jas/gb/ edu/jas/application/ edu/jas/vector/ edu/jas/gbmod/ edu/jas/util/ edu/jas/ufd/ edu/jas/kern/ edu/jas/root/ edu/jas/integrate/
+CLASSES=edu/jas/structure/ edu/jas/arith/ edu/jas/poly/ edu/jas/ps/ edu/jas/gb/ edu/jas/gbufd edu/jas/application/ edu/jas/vector/ edu/jas/gbmod/ edu/jas/util/ edu/jas/ufd/ edu/jas/kern/ edu/jas/root/ edu/jas/integrate/
 
 PYS=$(wildcard *.py)
 EXAMPY=$(wildcard examples/*.py)
@@ -318,6 +310,7 @@
 
 jas-all.jar: $(ALLJAR)
 	$(JDK)/jar -cvf jas.jar $(ALLJAR) edu/ 
+	cp jas.jar $(LIBPATH)/
 	mv jas.jar /tmp/jas-`date +%Y%j`.jar
 
 jas.tgz: $(FILES) $(TESTFILES) *.html TODO
@@ -333,6 +326,7 @@
 
 jas.jar: $(FILES) $(TESTFILES) Makefile build.xml log4j.properties $(EXAMPY)
 	$(JDK)/jar -cf jas.jar $(TOJAR)
+	cp jas.jar $(LIBPATH)/
 #	$(JDK)/jar -cf jas.jar $(filter-out %/ufd/, $(filter-out src/edu/jas/ufd/%.java, $(TOJAR)))
 
 jas-doc.jar: $(DOCU) doc/
@@ -369,15 +363,27 @@
 	make edu.jas.application.RunGB cl="seq+ examples/trinks6.jas"   | tee -a tr.out
 	make edu.jas.application.RunGB cl="par  examples/trinks6.jas 4" | tee -a tr.out
 	make edu.jas.application.RunGB cl="par+ examples/trinks6.jas 4" | tee -a tr.out
+	cd jython; make tests | tee jsr.out
+	cd mpj; make tests | tee mpj.out
+	cd ../jas-versions/jlinalg_adapter; make tests | tee ja.out
+	cd ../jas-versions/commons-math_adapter; make tests | tee ja.out
 	-grep FAIL t.out
-	-grep Exception e.out | grep -v GCDProxy
+	-grep Exception e.out | grep -v GCDProxy | grep -v GBProxy
 	-grep File tjy.out
 	-grep -i error tjr.out
-	-grep Exception tr.out | grep Usage tr.out
+	-grep -i error jython/jsr.out
+	-grep -i error mpj/mpj.out
+	-grep -i error ../jas-versions/jlinalg_adapter/ja.out
+	-grep -i error ../jas-versions/commons-math_adapter/ja.out
+	-egrep '(Exception|Usage)' tr.out
 
 metrics:
 	ant jdepend
 	../java/javancss-32.53/bin/javancss -all -recursive -out test/javanccs-`date +%Y-%m-%d`.out src
+
+findbugs:
+	cd ~/java/findbugs; bin/fb analyze -sortByClass -medium -html -nested:false /home/kredel/jas/edu/jas/ > jas.findbugs-report.medium.html
+
 
 #svn copy file:///$(SVNREPO)/jas/trunk file:///$(SVNREPO)/jas/tags/$(VERSION)
 
@@ -390,14 +396,10 @@
 # jun 2009 SVNSRT=2668
 # jan 2010 SVNSRT=2978
 # jun 2010 SVNSRT=3188
-# jan 2011
-SVNSRT=3458
+# jan 2011 SVNSRT=3458
+# jul 2011 SVNSRT=3688
+# dec 2011
+SVNSRT=3838
 
 export:
 	rm -rf ~/jas-versions/$(VERSION)
-	svn export --quiet file:///$(SVNREPO)/jas/trunk ~/jas-versions/$(VERSION)
-	cd ~/jas-versions/$(VERSION); jas_dosed $(VERSION) `$(SVNREV)` download.html
-	svn log -v -r HEAD:$(SVNSRT) file:///$(SVNREPO)/jas/trunk src trc examples > ~/jas-versions/$(VERSION)/svn_change.log
-	cd ~/jas-versions/; jar -cfM $(VERSION).`$(SVNREV)`-src.zip $(VERSION)/
-	cd ~/jas-versions/$(VERSION)/; ant compile > ant_compile.out
-	cd ~/jas-versions/$(VERSION)/; jar -cfm ../$(VERSION).`$(SVNREV)`-bin.jar GBManifest.MF edu/ COPYING* log4j.properties

=== jython/Makefile ===
#
# $Id: Makefile 4312 2012-12-03 22:53:26Z kredel $
#
# Makefile for the interface of JAS to jython
# by Raphael Jolly, Heinz kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib

JYTHONPATH=$(LIBPATH)/jython.jar
JRUBYPATH=$(LIBPATH)/jruby.jar:$(HOME)/java/jruby-1.5.6/lib/ruby/1.8

CLASSPATH=$(LIBPATH)/log4j.jar:$(LIBPATH)/junit.jar:$(LIBPATH)/jas.jar

BOOTCLASSPATH6="/usr/lib64/jvm/java-1.6.0/jre/lib/rt.jar"

.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/*/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

#DOCOPTS=-package
DOCOPTS=-package -author -version -linksource
DOCCLASSES=$(CLASSPATH)
DOC=javadoc -classpath $(DOCCLASSES):$(JYTHONPATH)

all: clean jas-jython.jar doc

$(CLASSES): $(FILES)
	-mkdir classes
	javac -g -source 1.6 -target 1.6 -classpath $(JYTHONPATH):$(CLASSPATH) -bootclasspath $(BOOTCLASSPATH6) -sourcepath src -d classes src/edu/jas/*/*.java

jas-jython.jar: $(CLASSES) $(JASPATH)/examples/jas.py services/javax.script.ScriptEngineFactory
	-mkdir classes/META-INF
	-mkdir classes/META-INF/services
	-cp -a manifest.mf classes/META-INF/MANIFEST.MF
	#cp -a services/javax.script.ScriptEngineFactory classes/META-INF/services/
	-cp -a $(JASPATH)/examples/jas.py $(JASPATH)/examples/*.class $(JASPATH)/examples/basic_sigbased_gb.py classes
	-cp -a $(JASPATH)/examples/jas.pyc classes
	-cp -a $(JASPATH)/examples/jas.rb classes
	-cp -a $(JASPATH)/log4j.properties classes
	jar cfM jas-jython.jar -C classes .
	cp -f jas-jython.jar $(LIBPATH)
	cp -f jas-jython.jar ..

clean:
	rm -rf classes
	find . -name "*~" -follow -print -exec rm {} \;

tests: jas-jython.jar
	#java -client -cp $(JYTHONPATH):$(JRUBYPATH):$(CLASSPATH):jas-jython.jar edu.jas.kern.ScriptingExample
	java -client -cp $(JYTHONPATH):$(JRUBYPATH):$(CLASSPATH):jas-jython.jar edu.jas.gb.GBSigBasedTest

doc: $(FILES)
	$(DOC) $(DOCOPTS) -d ../doc/jas-jython $(FILES)

=== meditor/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 2103 2008-09-06 09:18:29Z kredel $
+# $Id: Makefile 4083 2012-07-28 15:04:42Z kredel $
 #
 # Makefile for the interface of JAS to meditor
 # by Raphael Jolly, Heinz kredel
@@ -11,6 +11,10 @@
 MEDITORPATH=$(HOME)/java/meditor3.0
 
 CLASSPATH=$(LIBPATH)/jython.jar:$(MEDITORPATH)/meditor.jar
+
+# incompatible with jython version
+#BOOTCLASSPATH4="/usr/java/j2sdk1.4.0/jre/lib/rt.jar"
+#	javac -g -source 1.4 -target 1.4 -classpath $(CLASSPATH) -bootclasspath $(BOOTCLASSPATH4) -sourcepath src -d classes src/edu/jas/editorengine/*.java
 
 .SUFFIXES : .class .java .jar 
 .PHONY    : clean

=== mpj/Makefile ===
#
# $Id: Makefile 4335 2012-12-28 21:11:45Z kredel $
#
# Makefile for the (Fast) MPJ (Express) dependend parts
# by Heinz kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib

FMPJ_HOME=$(HOME)/java/fastmpj
FMPJ_LIB=$(FMPJ_HOME)/lib/mpj.jar
FMPJ_RUNLIB=$(FMPJ_HOME)/lib/runtime.jar

CLASSPATH=$(LIBPATH)/log4j.jar:$(LIBPATH)/junit.jar:$(FMPJ_LIB):$(JASPATH)
#$(LIBPATH)/jas.jar

NP=2
PPN=3

FMPJ_CMD=java -cp $(FMPJ_RUNLIB) runtime.FMPJRun -dev niodev -cp $(CLASSPATH):jas-mpj.jar

#DOCOPTS=-package
DOCOPTS=-package -author -version -linksource
DOCCLASSES=$(CLASSPATH)
DOC=javadoc -classpath $(DOCCLASSES)

# --- syncing ----------
DRY=--dry-run
DELETE=
RSYNC=rsync -e ssh -avuz $(DRY) $(DELETE) --exclude=*~ --exclude=*.log* --exclude=*.out* --exclude=*.txt* --exclude=.svn 


.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/*/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

all: clean jas-mpj.jar doc

$(CLASSES): $(FILES) Makefile
	-mkdir classes
	javac -classpath $(CLASSPATH) -d classes src/edu/jas/*/*.java

jas-mpj.jar: $(CLASSES) 
	-mkdir classes/META-INF
	cp -a manifest.mf classes/META-INF/MANIFEST.MF
	jar cfM jas-mpj.jar -C classes .
	cp -f jas-mpj.jar $(LIBPATH)
	cp -f jas-mpj.jar ..

clean:
	rm -rf classes
	find . -name "*~" -follow -print -exec rm {} \;

MFILE=machines
EFILE=$(JASPATH)/examples/trinks6.jas

tests: jas-mpj.jar
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.application.RunMPJGB disthybmpj $(EFILE) $(NP)/$(PPN) $(MFILE)


notest: jas-mpj.jar
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.application.RunMPJGB distmpj $(EFILE) $(NP) $(MFILE)
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -class edu.jas.gb.HelloWorld
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -class edu.jas.kern.MPJEngineTest -n $(NP)
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -class edu.jas.util.DistHashTableMPJTest -n $(NP)


gbtest: jas-mpj.jar
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.gb.GroebnerBaseDistMPJTest 

gbhybtest: jas-mpj.jar
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.gb.GroebnerBaseDistHybridMPJTest 


doc: $(FILES)
	$(DOC) $(DOCOPTS) -d ../doc/mpj $(FILES)


BWDIR=java/jas-2.4/mpj

home:
	$(RSYNC) bwgrid:$(BWDIR)/src/     src

bwgrid:
	$(RSYNC) src/                     bwgrid:$(BWDIR)/src/

=== debian/changelog ===
jas (2.5.4408-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 15:59:36 +0100

jas (2.5.4408-1) unstable; urgency=low

  * New upstream release.
  * Fix some lintian issues.
    + Bump Standards-Version to 3.9.4.
  * Update debian/copyright.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 20 May 2013 10:42:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends: debhelper (>= 8.0.0), default-jdk, javahelper (>= 0.43), liblog4j1.2-java,
  junit4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://krum.rz.uni-mannheim.de/jas/
-Vcs-Git: git://git.debian.org/pkg-java/jas.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/jas.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-java/jas.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jas.git;a=summary
 
 Package: libjas-java
 Architecture: all

=== debian/watch ===
version=3
http://krum.rz.uni-mannheim.de/jas/download.html \
 jas-([0-9\.]+)-src.zip
